Loading...
Searching...
No Matches
differentiablefunctionfromcallables.hh File Reference
`#include <dune/common/typeutilities.hh>`
`#include <dune/common/hybridutilities.hh>`
`#include <dune/functions/common/signature.hh>`
`#include <dune/functions/common/differentiablefunction.hh>`
`#include <dune/functions/common/functionconcepts.hh>`

Go to the source code of this file.

## Classes

class | Dune::Functions::DifferentiableFunctionFromCallables< Range(Domain), DerivativeTraits, F >
| Wrap a list of callable objects as derivative sequence modelling Concept::DifferentiableFunction<Range(Domain), DerivativeTraits>. More...
class | Dune::Functions::DifferentiableFunctionFromCallables< Range(Domain), DerivativeTraits, F, DF, Derivatives... >
| Wrap a list of callable objects as derivative sequence modelling Concept::DifferentiableFunction<Range(Domain), DerivativeTraits>. More...

## Namespaces

namespace | Dune
namespace | Dune::Functions

## Functions

template<class Signature, template< class > class DerivativeTraits, class... F>
DifferentiableFunctionFromCallables< Signature, DerivativeTraits, F... > | Dune::Functions::makeDifferentiableFunctionFromCallables (const SignatureTag< Signature, DerivativeTraits > &signatureTag, F &&... f)
| Create a DifferentiableFunction from callables.